Page MenuHomePhabricator

Migrate all debian-glue jobs to Jessie slaves
Closed, ResolvedPublic

Description

The Jenkins debian-glue jobs are used to magically create Debian packages out of Gerrit a patchset thanks to the jenkins-debian-glue scripts. They magically create cow images for the targetted distribution but are missing the apt.wikimedia.org configuration.

@akosiaris provided a puppet class ( https://gerrit.wikimedia.org/r/#/c/194471/ ) which creates cow images for all distributions we care about. That let us switch easily between them by simply setting the DIST env variable. Thus, we can have all debian-glue jobs to be solely on Jessie instances.

The new puppet role is role::package::builder. It is to be applied on Jessie CI slaves, we have to make sure the extended disk space is mounted under /mnt and pbuilder default dir pointed to it.

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
Resolvedhashar
Resolvedhashar
DuplicateNone
ResolvedAndrew
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedfaidon
ResolvedDzahn
Resolvedfgiunchedi
ResolvedMoritzMuehlenhoff
Resolvedfaidon
Resolvedfaidon
ResolvedAndrew
Declinedhashar
ResolvedAndrew
ResolvedAndrew
Resolvedcoren
Resolvedcoren
Resolvedhashar
Resolvedhashar
ResolvedMoritzMuehlenhoff
Resolvedhashar

Event Timeline

hashar created this task.Apr 9 2015, 2:20 PM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, akosiaris.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 2:20 PM

Change 203073 had a related patch set uploaded (by Hashar):
contint: make Jessie slaves package builders

https://gerrit.wikimedia.org/r/203073

I have applied labels DebianJessie and DebianGlue on the sole Jessie CI slave we have for now. Will let us tie the debian-glue jobs to Jessie.

Krinkle triaged this task as Medium priority.Apr 14 2015, 1:39 AM
Krinkle moved this task from Untriaged to Backlog on the Continuous-Integration-Infrastructure board.
Krinkle set Security to None.

Change 203073 merged by Alexandros Kosiaris:
contint: make Jessie slaves package builders

https://gerrit.wikimedia.org/r/203073

hashar changed the status of subtask T94836: Create CI slaves using Debian Jessie from Open to Stalled.Oct 6 2015, 12:37 PM
hashar lowered the priority of this task from Medium to Low.Oct 28 2015, 1:56 PM

Mentioned in SAL [2016-05-09T15:26:28Z] <hashar> Creating integration-slave-jessie-1001 T95545

Change 286873 had a related patch set uploaded (by Hashar):
contint: move package_builder setup to its own class

https://gerrit.wikimedia.org/r/286873

hashar claimed this task.May 9 2016, 3:56 PM
hashar moved this task from Backlog to In-progress on the Continuous-Integration-Infrastructure board.
hashar added a comment.May 9 2016, 9:12 PM

The Jessie permanent slaves integration-slave-jessie-1001 and integration-slave-jessie-1002 are passing puppet and have the same role::ci::labs::slave puppet class as the other instances. So we can start migrating ;-)

Change 287649 had a related patch set uploaded (by Hashar):
Migrate all debian-glue jobs to Jessie slaves

https://gerrit.wikimedia.org/r/287649

Mentioned in SAL [2016-05-10T13:33:26Z] <hashar> Migrating all debian glue jobs to Jessie permanent slaves T95545

hashar closed this task as Resolved.May 10 2016, 1:37 PM

Change 287649 merged by jenkins-bot:
Migrate all debian-glue jobs to Jessie slaves

https://gerrit.wikimedia.org/r/287649

Change 286873 merged by Faidon Liambotis:
contint: move package_builder setup to its own class

https://gerrit.wikimedia.org/r/286873